# Update ignore paths (https://docs.capy.ai/api-reference/reviewfilters/update-ignore-paths)

`PATCH https://api.capy.ai/api/v1/review-filters/ignore-paths/{id}`

## Authorization

Send an API key as a bearer token: `Authorization: Bearer $CAPY_API_KEY`. See https://docs.capy.ai/api-reference/authentication.md.

## Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `id` | path | string | yes |  |

## Request body

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `repo` | string \| null | yes |  |
| `patterns` | string[] | yes |  |

## Responses

- `200` ReviewIgnorePaths: `ReviewIgnorePathsEncoded`
- `400` capy/InvalidRequest: `capy_InvalidRequestEncoded`
- `401` capy/Unauthorized: `capy_UnauthorizedEncoded`
- `403` capy/Forbidden: `capy_ForbiddenEncoded \| capy_ForbiddenEncoded`
- `429` capy/RateLimited: `capy_RateLimitedEncoded`

## Example

```bash
curl -X PATCH "https://api.capy.ai/api/v1/review-filters/ignore-paths/{id}" \
  -H "Authorization: Bearer $CAPY_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"repo":"<repo>","patterns":[]}'
```

## Referenced schemas

```json
{
  "ReviewIgnorePathsEncoded": {
    "type": "object",
    "properties": {
      "id": {
        "type": "string",
        "allOf": [
          {
            "minLength": 32
          },
          {
            "maxLength": 32
          }
        ],
        "pattern": "^rpath_"
      },
      "repo": {
        "anyOf": [
          {
            "type": "string"
          },
          {
            "type": "null"
          }
        ]
      },
      "githubRepoId": {
        "anyOf": [
          {
            "anyOf": [
              {
                "type": "number"
              },
              {
                "type": "string",
                "enum": [
                  "Infinity",
                  "-Infinity",
                  "NaN"
                ]
              }
            ]
          },
          {
            "type": "null"
          }
        ]
      },
      "patterns": {
        "type": "array",
        "items": {
          "type": "string"
        }
      },
      "skipped": {
        "type": "boolean",
        "description": "True when a pattern is over the wildcard limit, so admission and delivery skip the whole row until it is edited"
      },
      "source": {
        "type": "string",
        "enum": [
          "hand",
          "greptile"
        ]
      },
      "createdByUserId": {
        "anyOf": [
          {
            "type": "string"
          },
          {
            "type": "null"
          }
        ]
      },
      "createdByName": {
        "anyOf": [
          {
            "type": "string"
          },
          {
            "type": "null"
          }
        ]
      },
      "createdAt": {
        "type": "string"
      },
      "updatedAt": {
        "type": "string"
      }
    },
    "required": [
      "id",
      "repo",
      "githubRepoId",
      "patterns",
      "skipped",
      "source",
      "createdByUserId",
      "createdByName",
      "createdAt",
      "updatedAt"
    ],
    "additionalProperties": false
  },
  "capy_InvalidRequestEncoded": {
    "type": "object",
    "properties": {
      "_tag": {
        "type": "string",
        "enum": [
          "capy/InvalidRequest"
        ]
      },
      "message": {
        "type": "string"
      }
    },
    "required": [
      "_tag",
      "message"
    ],
    "additionalProperties": false
  },
  "capy_UnauthorizedEncoded": {
    "type": "object",
    "properties": {
      "_tag": {
        "type": "string",
        "enum": [
          "capy/Unauthorized"
        ]
      }
    },
    "required": [
      "_tag"
    ],
    "additionalProperties": false
  },
  "capy_ForbiddenEncoded": {
    "type": "object",
    "properties": {
      "_tag": {
        "type": "string",
        "enum": [
          "capy/Forbidden"
        ]
      },
      "mfaRequiredOrgId": {
        "type": "string"
      },
      "ssoRequired": {
        "type": "boolean"
      },
      "passkeyRequired": {
        "type": "boolean"
      }
    },
    "required": [
      "_tag"
    ],
    "additionalProperties": false
  },
  "capy_RateLimitedEncoded": {
    "type": "object",
    "properties": {
      "_tag": {
        "type": "string",
        "enum": [
          "capy/RateLimited"
        ]
      },
      "retryAfterSeconds": {
        "type": "integer"
      }
    },
    "required": [
      "_tag",
      "retryAfterSeconds"
    ],
    "additionalProperties": false
  },
  "UpdateReviewIgnorePathsRequest": {
    "type": "object",
    "properties": {
      "repo": {
        "anyOf": [
          {
            "type": "string"
          },
          {
            "type": "null"
          }
        ]
      },
      "patterns": {
        "type": "array",
        "items": {
          "type": "string"
        }
      }
    },
    "required": [
      "repo",
      "patterns"
    ],
    "additionalProperties": false
  }
}
```

Full document: https://docs.capy.ai/openapi.json